Skip to content
Pile
Esc
navigateopen⌘Jpreview

Update notification preferences

PUT/workspaces/{organizationId}/notification-preferences
Path parameters
organizationIdstringrequired
Request body
application/json
inAppboolean
webhookboolean
emailboolean
mutedTypesstring[] | null
Responses
200Preferences updated
organizationIdstringrequired
userIdstringrequired
inAppbooleanrequired
webhookbooleanrequired
emailbooleanrequired
mutedTypesstring[] | nullrequired
updatedAtstringrequired
Try it
Server
Parameters
Bodyapplication/json
Request
curl -X PUT "/workspaces/string/notification-preferences" \
  -H "Content-Type: application/json" \
  -d '{
  "inApp": true,
  "webhook": true,
  "email": true,
  "mutedTypes": [
    "string"
  ]
}'
Response
{
  "organizationId": "string",
  "userId": "string",
  "inApp": true,
  "webhook": true,
  "email": true,
  "mutedTypes": [
    "string"
  ],
  "updatedAt": "string"
}